Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.businessrefinery.barcodereader.core
Class BarcodeImage

    java.lang.Object
      com.businessrefinery.barcodereader.core.BarcodeImage

    public class BarcodeImage

extends java.lang.Object

class for barcode images to be read

Field Summary
`static int` | `BACKGROUND`
`static int` | `FOREGROUND`

Constructor Summary
`BarcodeImage(java.awt.image.BufferedImage bufImage)`
`BarcodeImage(java.awt.image.BufferedImage i, java.awt.Rectangle scanArea)`
`BarcodeImage(int w, int h)`

Method Summary
`int` | `getBluePixel(int row, int col)` get blue pixel of image point
`java.awt.image.BufferedImage` | `getBufferedImage()` get BufferedImage object
`int` | `getGreenPixel(int row, int col)` get green pixel of image point
`int` | `getGreyPixel(double row, double col)` get grey pixel of image point
`int` | `getHeight()` get image height in pixel
`java.awt.Point` | `getNeightbour(java.awt.Point point, int p)` get a given neighbour point
`int` | `getPixel(double row, double col)`
`int` | `getPixel(int row, int col)` get pixel of image
`int` | `getPixel(java.awt.Point p)` get pixel of image
`int` | `getRedPixel(int row, int col)` get red pixel of image point
`boolean` | `getVisited(int x, int y)` get whether point visited
`boolean` | `getVisited(java.awt.Point p)` get whether point visited
`int` | `getWidth()` get image width in pixel
`void` | `initializePixels()` should call this method before start reading or setting any pixels
`void` | `initializeVisited()` create array for visited points
`boolean` | `isInPerimeter4(java.awt.Point point)`
`void` | `memoryToImage()`
`void` | `resetImage()`
`void` | `setBPixel(int row, int col, int val)`
`void` | `setGPixel(int row, int col, int val)`
`void` | `setPixel(int row, int col, int val)` set pixel in image
`void` | `setPixel(java.awt.Point p, int val)`
`void` | `setRPixel(int row, int col, int val)`
`void` | `setVisited(int x, int y)` set point as visited
`void` | `setVisited(java.awt.Point p)` set point as visited
`BarcodeImage` | `toBackWhite()` convert to background to white color

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FOREGROUND

    public static int FOREGROUND

### BACKGROUND

    public static int BACKGROUND

Constructor Detail

### BarcodeImage

    public BarcodeImage(java.awt.image.BufferedImage bufImage)

### BarcodeImage

    public BarcodeImage(java.awt.image.BufferedImage i,
                        java.awt.Rectangle scanArea)

### BarcodeImage

    public BarcodeImage(int w,
                        int h)

Method Detail

### initializePixels

    public void initializePixels()

  should call this method before start reading or setting any pixels

### memoryToImage

    public void memoryToImage()

### resetImage

    public void resetImage()

### getWidth

    public int getWidth()

  get image width in pixel

### getHeight

    public int getHeight()

  get image height in pixel

### getBufferedImage

    public java.awt.image.BufferedImage getBufferedImage()

  get BufferedImage object

### setPixel

    public void setPixel(int row,
                         int col,
                         int val)

  set pixel in image

### setPixel

    public void setPixel(java.awt.Point p,
                         int val)

### getGreyPixel

    public int getGreyPixel(double row,
                            double col)

  get grey pixel of image point

### getPixel

    public int getPixel(java.awt.Point p)

  get pixel of image

### getPixel

    public int getPixel(double row,
                        double col)

### getPixel

    public int getPixel(int row,
                        int col)

  get pixel of image

### getRedPixel

    public int getRedPixel(int row,
                           int col)

  get red pixel of image point

### setRPixel

    public void setRPixel(int row,
                          int col,
                          int val)

### getGreenPixel

    public int getGreenPixel(int row,
                             int col)

  get green pixel of image point

### setGPixel

    public void setGPixel(int row,
                          int col,
                          int val)

### getBluePixel

    public int getBluePixel(int row,
                            int col)

  get blue pixel of image point

### setBPixel

    public void setBPixel(int row,
                          int col,
                          int val)

### initializeVisited

    public void initializeVisited()

  create array for visited points

### setVisited

    public void setVisited(java.awt.Point p)

  set point as visited

### setVisited

    public void setVisited(int x,
                           int y)

  set point as visited

### getVisited

    public boolean getVisited(java.awt.Point p)

  get whether point visited

### getVisited

    public boolean getVisited(int x,
                              int y)

  get whether point visited

### isInPerimeter4

    public boolean isInPerimeter4(java.awt.Point point)

### getNeightbour

    public java.awt.Point getNeightbour(java.awt.Point point,
                                        int p)

  get a given neighbour point

### toBackWhite

    public BarcodeImage toBackWhite()

  convert to background to white color

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD